Subject: [PATCH RESEND] dma: mmp_pdma: add support for residue reporting

From: [email-masked] (Daniel Mack)
Date: Wed, 16 Apr 2014 16:59:13 +0200

On 04/16/2014 11:09 AM, Vinod Koul wrote:
> On Wed, Apr 16, 2014 at 10:38:10AM +0200, Daniel Mack wrote:
>>>> It might add to the readability of the drivers, but for the current
>>>> case, I don't think it's really necessary.
>>> That is because you are maintaining the current descriptors in chain_running. If
>>> we use above method then you dont need to use this, right?
>>
>> Jup, but that would result in a rewrite of larger parts of the code. The
>> concept of hot-linking the two list so there's only one resulting list
>> of currently active descriptors is built-in deeply into the driver's
>> concept.
> Ah I suspected so :)
> 
> I think for now this is fine you can perhaps upgrade this later :)

So, do you want me to resend with the minor dma_set_residue() change?

Thanks,
Daniel